# RequestNewEntitlement

Request a new entitilement to an existing customer

`POST /api/v2/accounts/{id}/entitlements/{offer}`

**API:** AvaTax API
**Tag:** Provisioning
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Provisioning/RequestNewEntitlement/

## Description

This API is for use by partner provisioning services customers only. This allows the partners to add
new entitlements to an existing customer.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, FirmAdmin, Registrar, ReturnsOnlyAccountAdmin, ReturnsOnlyCompanyAdmin, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin.
* This API is available by invitation only.
* This API is available by invitation only.  To request access to this feature, please speak to a business development manager and request access to [Provisioning:RequestNewAccount].

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | The avatax account id of the customer |
| `offer` | string | path | Yes | The offer to be added to an already existing customer |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `OfferModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `OfferModel`

Gets the response for the offer request

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | string | No | Id of the transaction Example: `1234567989`. |
| `offerMessage` | string | No | Message indicating what action took place Example: `The offer abc has been added to the account 123456789 at 2018-07-08`. |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/accounts/{id}/entitlements/{offer}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```